const mongoose = require("mongoose");

const TableName = "TimeTable";

const TableSchema = mongoose.Schema({
    paper_code: { type: String, required: true },
    subject: { type: String, required: true },

    exam_date: { type: Date, required: true },
    exam_start_time: { type: String, required: true },
    exam_end_time: { type: String, required: true },


    is_lock: { type: String, default: 'N' },
    need_correction: { type: String, default: 'N' },
    status: { type: String, default: 'Y' },

    institute_code: { type: String, required: true },

    created_at: {
        type: Date,
        default: Date.now()
    },
    created_by: {
        type: String,
    },
    updated_at: {
        type: Date,
    },
    updated_by: {
        type: String,
    },
});

const Table = (module.exports = mongoose.model(TableName, TableSchema));
