const fs = require('fs');

const path = require("path");

const templateNames = fs.readdirSync(path.join(__dirname, 'html'));

const templates = [];

for (const tn of templateNames) {
    const template = {
        name: tn,
        data: fs.readFileSync(path.join(__dirname, 'html', tn)).toString()
    };
    templates.push(template);
}

module.exports.getTemplate = (templateName) => {
    const template = templates.filter(o => o.name == templateName);
    return template[0].data;
}
