import cv2
import os
count=1
datasets = 'faces'
face_classifier = cv2.CascadeClassifier('haarcascade_frontalface_default.xml')

def face_extractor(img):
   
    
    gray = cv2.cvtColor(img,cv2.COLOR_BGR2GRAY)
    faces = face_classifier.detectMultiScale(gray, 1.3, 5)
    
    if faces is ():
        return None
    
    # Crop all faces found
    for (x,y,w,h) in faces:
        cropped_face = img[y:y+h, x:x+w]

    return cropped_face

for (subdirs, dirs, files) in os.walk(datasets):
	for subdir in dirs:
		subjectpath = os.path.join(datasets, subdir)  #datasets+'/'+subdir
		for filename in os.listdir(subjectpath):
			path = subjectpath + '/' + filename	
			print(path)
			
			image = cv2.imread(path)
			face = cv2.resize(face_extractor(image), (200, 200))
			gray = cv2.cvtColor(face, cv2.COLOR_BGR2GRAY)
			file_name_path = './faces/0128CS141017/' + str(count) + '.jpg'
			cv2.imwrite(file_name_path, gray)
			count+=1
			#cv2.imshow('Original image',image)
			#cv2.imshow('Gray image', gray)
  
			cv2.waitKey(0)
			#cv2.destroyAllWindows()